#
# Copyright 2002-2006 Jahia Ltd
#
# Licensed under the JAHIA COMMON DEVELOPMENT AND DISTRIBUTION LICENSE (JCDDL),
# Version 1.0 (the "License"), or (at your option) any later version; you may
# not use this file except in compliance with the License. You should have
# received a copy of the License along with this program; if not, you may obtain
# a copy of the License at
#
#  http://www.jahia.org/license/
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

# +---------------------------------------------------------------------------+
# | Jahia main configuration file.                                            |
# +---------------------------------------------------------------------------+
#
#  This file contains some of the most important settings for configuration
#  it's behavior.
#  Other interesting files can be found elsewhere in the WEB-INF/etc
#  directory, such as WEB-INF/etc/ldap for LDAP connection properties,
#  or WEB-INF/etc/spring for LDAP connector activation, cache implementation
#  configuration, Hibernate configuration, etc.

######################################################################
### Server  ##########################################################
######################################################################
# General server information, such as release version, the application
# server it is running on, as well as the home disk path to the deployed
# Jahia instance.
release                                                =   5.0.0
server                                                 =   Tomcat
# The server home disk path is application server specific, and is used
# to deploy and configure new portlets, as well as other specific
# adjusments such as Tomcat's in-memory realm automatic updating
# (tomcat-users.xml files).
serverHomeDiskPath                                     =   E\:\\jahia5.0.0_CVS_r15494\\tomcat\\


######################################################################
### Disk Paths  ######################################################
######################################################################
# The following disk paths configure where Jahia will store data on disk,
# such as temporary files or content files, or even in some cases where
# it will retrieve additionnal configuration from.

jahiaJspDiskPath                                       =   /jsp/jahia/
jahiaEnginesDiskPath                                   =   /jsp/jahia/engines/
jahiaTemplatesDiskPath                                 =   /jsp/jahia/templates/
jahiaHtmlEditorsDiskPath                               =   /jsp/jahia/htmleditors/
jahiaJavaScriptDiskPath                                =   /jsp/jahia/javascript/

jahiaFilesDiskPath                                     =   $context/WEB-INF
jahiaEtcDiskPath                                       =   $context/WEB-INF/etc/
jahiaVarDiskPath                                       =   $context/WEB-INF/var/
jahiaFilesBigTextDiskPath                              =   $context/WEB-INF/var/content/bigtext/
slideContentDiskPath                                   =   $context/WEB-INF/var/content/slide/
tmpContentDiskPath                                     =   $context/WEB-INF/var/content/tmp/
jahiaFilesTemplatesDiskPath                            =   $context/WEB-INF/var/templates/

jahiaNewTemplatesDiskPath                              =   $context/WEB-INF/var/new_templates/
jahiaNewWebAppsDiskPath                                =   $context/WEB-INF/var/new_webapps/
jahiaSharedTemplatesDiskPath                           =   $context/WEB-INF/var/shared_templates/

jahiaLdapDiskPath                                      =   $context/WEB-INF/etc/ldap/
jahiaCasDiskPath                                       =   $context/WEB-INF/etc/cas/

jahiaOutputCacheConfigDiskPath                         =   $context/WEB-INF/etc/outputcache/

classDiskPath                                          =   /WEB-INF/classes/
componentsDiskPath                                     =   /WEB-INF/classes/components/


######################################################################
### URL's  ###########################################################
######################################################################

jahiaHostHttpPath                                      =   
jahiaTemplatesHttpPath                                 =   /cms/jsp/jahia/templates/
jahiaEnginesHttpPath                                   =   /cms/jsp/jahia/engines/
jahiaJavaScriptHttpPath                                =   /cms/jsp/jahia/javascript/jahia.js

jahiaWebAppsDeployerBaseURL                            =   http\://localhost\:8080/manager

# This site will force the generation of the /site/ URL parameter
# every time, even when sites are used with hostname resolution. This
# is useful when using front-end URL rewriting such as Apache's URL
# rewriting.
siteIDInURL                                            =   false

######################################################################
### Mail Service Configuration #######################################
######################################################################
# These settings configure how Jahia will send messages for
# error reports.
mail_server                                            =   mail.jahia.com
mail_administrator                                     =   scroisier@jahia.com
mail_from                                              =   scroisier@jahia.com
mail_paranoia                                          =   Disabled
# This parameter allows to control mail regrouping of a repeating exception
# If a repeating exception occurs more than this maximum, a mail will be
# sent anyway, just so that we are still informed in case this is the only
# error sent.
mail_maxRegroupingOfPreviousException                  =   500

######################################################################
### Database  ########################################################
######################################################################
# Database connection configuration is no longer configured through
# the following settings, but rather through container-managed
# datasource connection. In Tomcat these can be found in the
# following file :
# tomcat/conf/Catalina/localhost/jahia.xml
db_script                                              =   postgresql.script
db_driver                                              =   org.postgresql.Driver
db_url                                                 =   jdbc\:postgresql\://localhost\:5432/jahia
db_username                                            =   jahia
db_password                                            =   jahia
db_transactions                                        =   false
db_support_embedded_select_statement                    =   null
db_starthsqlserver                                     =   false
db_min_connections                                     =   10
db_max_connections                                     =   50
db_waitIfBusy                                          =   true
db_verbose                                             =   false
db_veryVerbose                                         =   false

######################################################################
### Datasource  ######################################################
######################################################################
# this parameter will allow Jahia to seek for a Datasource defined
# in the appserver context before using direct connection pooling.
# leave it blank to use standard Jahia behavior

datasource.name                        =   java\:comp/env/jdbc/jetspeed

######################################################################
### Characters encoding ##############################################
######################################################################
# Global encoding parameter, used to encode content to/from the database
utf8Encoding                                           =   true

# You may need to change the following values depending on the servlet
# container you are using. The default values here are designed to work
# with Tomcat.
#
# Default encoding for the output generated by Jahia :
defaultResponseBodyEncoding                            =   UTF-8
# Default encoding for URI and URLs send to Jahia :
defaultURIEncoding                                     =   UTF-8

######################################################################
### Cache settings ###################################################
######################################################################

#
# By default cache have no limits. If you want to set a size
# limit for a cache, use the following syntax :
#
#   max_cached_CACHENAME = LIMIT
#
# where CACHENAME is the name of the cache that corresponds
# to the "Server and Cache Status" name in parenthesis, and
# LIMIT is a number that corresponds to the max number of
# entries we want to allow in the cache.
#
# Here below we present some example, but note that these are not
# the complete number of caches in Jahia.
#
# For the meantime there are some caches you should leave unlimited,
# such as the ACL caches, otherwise Jahia will not behave properly
# (it assumes the whole content of the DB table is in memory).
#
#max_cached_ContentFieldCache                           =   20000
#max_cached_FieldCache                                  =   20000
#max_cached_PageChildCache                              =   10000
#max_cached_ContainerCache                              =   2000
#max_cached_TextFileCache                               =   1000
#max_cached_PageInfoCache                               =   10000
#max_cached_LDAPGroupsCache                             =   165
#max_cached_LDAPUsersCache                            =   20000
#max_cached_PortletsOutputCache                         =   10000
#max_cached_PortletsRequestCache                        =   10000
#
#max_cached_PAGEPATH_CACHE = 50000
#max_cached_CONTENTPAGEPATH_CACHE = 50000
# Usually the only cache we recommend that you limit is the output (HTML)
# cache, which can be configured like this :
#
#max_cached_HTMLCache                                   =   2000

# The entry allow you to specify the amount of free memory you wnat to keep in your jvm
# If we reach this limit jahia will remove entries of his cahce until if get under this limit
# this limit must be express in MB size
freeMemoryLimit =   64MB


######################################################################
### Output cache #####################################################
######################################################################
# The output (HTML) cache may also be controlled in more detail with the
# following parameters.
outputCacheActivated                                   =   false
# the following value is in milliseconds, set to -1 for no time expiration
outputCacheDefaultExpirationDelay                      =   -1

######################################################################
### ESI fragment-based Output cache  #################################
######################################################################
# Note that the above conventional cache must be deactivated
# for ESI fragment caching to work
esiCacheActivated                                        =   true

# Login details required to send invalidations to the ESI server. Please
# make sure these correspond to those declared in your ESI server's
# WEB-INF\config\data.xml config file.
esiCacheServerLogin                                        =   admin
esiCacheServerPassword                                    =   password

# Display an HTML fieldset box around fragment tags
# useful for debugging purposes only :
esiDisplayFragmentDelimiters                            =   false
# Used to display the referenced content IDs in each Template/Fragment
# useful for debugging purposes only :
esiDisplayContentIDs                                     =   false

# To ensure cache coherence, should the cache of the remote ESI server
# be cleared at boot time:
esiCleanupCacheAtBootTime                                  =   true
# It is recommended to set this setting to false in Cluster mode, otherwise if a cluster node
# reboots it will flush the ESI server cache for all other nodes.

# In order to do carry out esiCleanupCacheAtBootTime and for other invalidation purposes,
# Jahia needs to know address(es) used to access one or more of the ESI server instances at boot time.
# You can declare a ';' seperated list of IP/server combinations
# e.g. :
# esiServerIPs = 192.168.2.178;192.168.4.2;80.2.201.100
# esiServerPorts = 8081;7079;80
# which corresponds to addresses 192.168.2.178:8081, 192.168.4.2:7079 and 80.2.201.100:80
# Note that the order of the entries is important, in that the first entry will be used as the IP
# of the ESI server to which http redirections are sent to. So the first entry might be different
# for each Jahia node server in a Jahia cluster since each Jahia node might be coupled to its own
# ESI server.
esiServerIPs                                            =   localhost
esiServerPorts                                            =   8081
# The IP/Port of the ESI server(s) where all SOAP invalidation messages are sent to.
# Similarly to the esiServerIPs/esiServerPorts notation, you can declare more than one.
esiInvalidationIPs                                        =   localhost
esiInvalidationPorts                                    =   6666
# If your ESI server's cache is clustered (i.e. if clusterEsiCache=true in your ESI server's \WEB-INF\config\data.xml)
# there is no need to send the SOAP invalidations to each ESI server since the invalidations
# will be subsequently propagated via the ESI servers' clustered fragment cache. Therefore, set
# esiAlwaysInvalidateAllEsiServers to false, so that invalidations are sent to the first declared
# ESI server in esiInvalidationIPs, or sequentially to the following ones if an error is
# encountered.
esiAlwaysInvalidateAllEsiServers                        =   true

# force use of cookies (instead of URL rewriting) to transmit user specific ESI cache key parameter
esiUseCookieUserIdentifiers                                =   true
# esi cookie name. It is a good idea to keep this name a bit cryptic so that
# even if someone steals the cookie he doesn't necessarily understand it.
# esiCookieCookieName                                   =   jesid
# age of esi cookie in seconds. So basically a value of 2592000 is 30 days
# expiration, which means that if the user doesn't come back to the site during
# 30 days he will then have to login again.
# If you don't set this, the cookie will last only for the current session
# (i.e. until the user quits the browser), and will not be stored on disk.
# esiCookieMaxAgeInSeconds                              =   2592000
# encrypt the user specific identifiers (recommended in production environments)
esiEncryptUserIdentifiers                                  =   true

# the following value is the default expiration date in seconds of ESI cache entries
# (for example 2592000secs is 30 days or 604800secs is 7 days)
esiCacheDefaultExpirationDelay                      =   604800

# ESI invalidation messages are sent via a direct SOAP transmission to the ESI
# server by default. But they can also be either sent via HTML reponse piggy-backing ( i.e.
# they are appended to Jahia HTML responses) which improves efficiency and response times.
# Activate this setting to allow Jahia to maximize the use of piggy-backing
# of invalidations when appropriate.
# Use this only if your ESI servers are clustered, or if there is only one ESI server
# per unclustered Jahia server, since only one ESI server can
# recieve these invalidation messages using piggybacking (as opposed to SOAP invalidations).
esiUsePiggyBackInvalidation                                 =   true

# Every time-publishing event causes a SOAP invalidation message by default. However if you anticipate
# many such events, it is advisable for efficiency reasons to set this setting to 'false' so
# that invalidation messages will be queued up and sent all together with the next request
# to Jahia (meaning the cached pages won't be updated until a direct request to Jahia
# -not the ESI server- is made).
esiEachTimePublishingEventCausesSOAPInvalidation         =   true

# Enable template caching of aclGrouped template
esiEnableTemplateCaching                                 =   true

######################################################################
### JMS Cache Settings ###############################################
######################################################################
# The following settings are only used if the JMS cache is configured. By default these
# will not be used. For cache implementation select, please refer to the following files :
# WEB-INF/etc/spring/applicationcontext-services.xml
# WEB-INF/etc/spring/applicationcontext-hibernate.xml
org.jahia.cache.jmsCacheActivated                       =   false
org.jahia.cache.jmsCacheInitialContextFactory           =   org.exolab.jms.jndi.InitialContextFactory
org.jahia.cache.jmsCacheContextProviderURL              =   rmi\://localhost\:1099/
org.jahia.cache.jmsCacheTopicConnectionFactoryName      =   JmsTopicConnectionFactory
org.jahia.cache.jmsCacheTopicName                       =   jahiaCache
org.jahia.cache.jmsCacheMaxMessagesInPackage            =   2000
org.jahia.cache.jmsServerLookupSleepTime                =   10000

######################################################################
### JMX Settings #####################################################
######################################################################
# Jahia contains a JMX (see http://java.sun.com/products/JavaManagement/) server,
# that is deactivated by default, as it may cause some problems on some application
# server platforms. The following settings below configure the JMX server.
org.jahia.jmx.activated                                 =   false
org.jahia.jmx.httpAdaptorActivated                      =   false
org.jahia.jmx.xslProcessorActivated                     =   false
org.jahia.jmx.rmiAdaptorActivated                       =   false
org.jahia.jmx.httpHostName                              =   localhost
org.jahia.jmx.httpPort                                  =   8082
org.jahia.jmx.httpAuthorizationMode                     =   basic
org.jahia.jmx.httpAuthorizationUser                     =   jmx
org.jahia.jmx.httpAuthorizationPassword                 =   jahiajmx
org.jahia.jmx.httpProcessorNameString                   =   Server\:name=XSLTProcessor
# org.jahia.jmx.httpSocketFactoryNameString               =
org.jahia.jmx.rmiSSLServerSocketFactoryActivated        =   false
org.jahia.jmx.rmiSSLServerSocketFactoryKeyStoreName     =   
org.jahia.jmx.rmiSSLServerSocketFactoryKeyStorePassword =   
org.jahia.jmx.rmiSSLServerSocketFactoryKeyManagerPassword =   

######################################################################
### Template set #####################################################
######################################################################
# Default value for template set, used only in the configuration wizard.
default_templates_set                                =   corporate_portal_templates

######################################################################
### Filemanager  #####################################################
######################################################################
# Configuration of the file manager that uses Slide as a back-end.
jahiaFileRepositoryDiskPath                             =   $context/WEB-INF/var/content/filemanager/
useFlatFileManager                                        =   false
fileLockOnPublication                                   =   true
showGEDProperties                                       =   true
enableSlideSearch                                       =   true

######################################################################
### Templates Observer  ##############################################
######################################################################
# The following section configured the service that checks for new
# Jahia templates to deploy.

jahiaTemplatesAutoDeploy                               =   1
# Time in milliseconds between checks in the new_templates directory for new
# templates to deploy. Set to -1 to deactivate file watching completely.
templates.observer.interval                            =   5000
templates.observer.checkmode                           =   ALL

######################################################################
### WebApps Observer  ################################################
######################################################################
# The following section configured the service that checks for new
# web applications (portlets) to deploy.
jahiaWebAppsAutoDeploy                                 =   1
# Time in milliseconds between checks in the new_webapps directory for new
# webapps to deploy. Set to -1 to deactivate file watching completely.
webapps.observer.interval                              =   5000
webapps.observer.checkmode                             =   ALL
# This setting is configured by the configuration wizard to use the
# appropriate web applications deployer according to the application
# server platform which Jahia is running on. We recommend you do not
# modify this value unless it is false. Also currently only the Tomcat
# implementation is fully tested and supported.
JahiaWebAppsDeployerService                            =   org.jahia.services.webapps_deployer.JahiaTomcatWebAppsDeployerBaseService

######################################################################
### WebApps Dispatcher  ##############################################
######################################################################
# If you set this to true then the portlet applications will be able
# to access session attributes set by the templates.
webapps.dispatcher.inheritJahiaSessionAttributes       =   false

######################################################################
### Audit log  #######################################################
######################################################################
# Default values for amount of logs to be kept when flushing to a
# limit. Note that this doesn't mean that the logs cannot be larger
# than the amount specified, but simply that when limiting them, it
# will default to this value.
jahiaMaxLogs                                           =   500

######################################################################
### Multilingual support   ###########################################
######################################################################
# The fall-back language code after we have tried to resolve the
# current browsing code from :
# - the session
# - the browser's settings
# - the site's language list
org.jahia.multilang.default_language_code              =   fr

######################################################################
### ACLs   ###########################################################
######################################################################
# Specifies the number of ACLs to preload at Jahia startup.
org.jahia.acl.preload_count                            =   10000

######################################################################
### Workflows states   ###############################################
######################################################################
# This settings specifies the amount of level of page tree hierarchy
# to preload upon Jahia startup. The preload will calculate the
# workflow status per language at startup.
org.jahia.workflow.preload_count                       =   3

######################################################################
### Page properties ##################################################
######################################################################
# Specifies the number of page IDs to pre-load upon Jahia's page
# service startup
org.jahia.pages.properties.preload_count               =   2000

######################################################################
### Tidy Configuration file ##########################################
######################################################################
# Tidy is an HTML parser that is one of the multiple ones that is
# used to verify HTML validity.
# this file must be located in <jahia>/web-inf/etc/config dir.
tidyConfig                                             =   tidy.properties

######################################################################
### WebDAV processing options ########################################
######################################################################
# Specifies whether we should transform file names because of compatibility
# problems with Windows WebDAV implementation.
transformFilenames                                     =   false
# Same option for directories, set to true by default because there are
# serious bugs in Windows' WebDAV implementation when using non ISO-8859-1
# characters.
transformDirnames                                      =   false

# preload folders when displaying tree
preloadFolders                                         =   false

######################################################################
### Jetspeed Portal   ################################################
######################################################################
# Configuration for the integrated Jetspeed JSR-168 compatible
# portal server.
jetspeedConfig                                         =   WEB-INF/etc/jetspeed/conf/jetspeed.properties
jetspeedDeploymentDirectory                            =   $context/WEB-INF/etc/jetspeed/deploy

######################################################################
### Authentification pipeline ########################################
######################################################################
#
# Jahia now uses a pipeline mechanism to process user authentification, which
# allows developers to extend the system for custom authentification back-ends.
#
# You might want to modify the pipeline if you want to extend Jahia's
# authentification system, for example by adding a JAASAuthValve or something
# else.
#
# Name of the file containing the valve configuration for the authentification
# pipeline
authPipelineFileName                                   =   /WEB-INF/etc/config/auth-pipeline.xml
# Class name for the pipeline implementation to use when creating the
# authorization pipeline.
authPipelineClassName                                  =   org.jahia.pipelines.impl.GenericPipeline

######################################################################
### Process pipeline #################################################
######################################################################
#
# Jahia now uses a pipeline mechanism to process requests, which
# allows developers to extend the system for custom processing.
#
# You might want to modify the pipeline if you want to extend Jahia's
# processing system
#
# Name of the file containing the valve configuration for the processing
# pipeline
processPipelineFileName                                   =   /WEB-INF/etc/config/process-pipeline.xml
# Class name for the pipeline implementation to use when creating the
# request processing pipeline.
processPipelineClassName                                  =   org.jahia.pipelines.impl.GenericPipeline

######################################################################
### Cookie authentification valve config #############################
######################################################################
#
# The cookie authentification valve is a system that uses cookies to store
# an identifier corresponding to a specific Jahia user, when he selects the
# "remember me" option in the login engine.
#
# Should we use cookie authentification for login ?
cookieAuthActivated                                    =   true
#
# length of cookie identifier key for user. This is the actual value
# stored in the cookie, so make sure it is long enough to improve security.
cookieAuthIDLength                                     =   40
# name of user property under which we store the cookie identifier key in
# Jahia's database, for matching with the value coming from the cookie.
cookieAuthUserPropertyName                             =   org.jahia.user.cookieauth.id
# cookie name. It is a good idea to keep this name a bit cryptic so that
# even if someone steals the cookie he doesn't necessarily understand it.
cookieAuthCookieName                                   =   jid
# age of cookie in seconds. So basically a value of 2592000 is 30 days
# expiration, which means that if the user doesn't come back to the site during
# 30 days he will then have to login again. The way the cookie is renewed
# depends how the cookieAuthRenewalActivated setting is set.
cookieAuthMaxAgeInSeconds                              =   2592000
# Cookie renewal means that if a user is recognized using a cookie, the age in
# seconds will be reset. So it means that every time the user comes in and is
# recognized using a cookie, the cookie age will be reset to the value defined
# in cookieAuthMaxAgeInSeconds. If this setting is false, cookies will not be
# renewed, and after the cookie expires the user will have to login again.
# For a more natural behavior, it is best to set this setting to true and leave
# the age in seconds to a value in days.
cookieAuthRenewalActivated                             =   true

######################################################################
### Logoff Redirect ##################################################
######################################################################
# uncomment this to bypass the usual Jahia logout process and instead redirected the user after logout
# to a URL of your choice
#logoutRedirectUrl                                      =   http://www.acme.com/logoff.php

######################################################################
### Scheduler config  ################################################
######################################################################
# Path to scheduler configuration. The scheduler is used notably for processing
# background jobs such as the XML imports, workflow activation, etc.
schedulerConfigFile                                    =   $context/WEB-INF/etc/config/quartz.properties
ramSchedulerConfigFile                                 =   $context/WEB-INF/etc/config/quartz-ram.properties

######################################################################
### Default site #####################################################
######################################################################
# This setting is configured by Jahia, to know which is the default
# site to display.
defautSite                                             =   test

######################################################################
### Site serverName testing config ###################################
######################################################################
# The following configuration parameters mostly concern the generation of the
# "Exit Administration" button in the administration console. The URL that is
# generated to go back to a site needs to be tested first, in order to
# determine if we should generate an URL using the site's serverName or if
# we should generate an URL using the current host name used for accessing the
# administration servlet.
#
# For example, if for a site we have :
#    serverName="this.is.an.invalid.hostname",
#    serverKey="myTestSite"
# the following parameters will determine the URL that will be tested. So
# if we have the default, Jahia will try to connect to :
#    http://this.is.an.invalid.hostname:8080/jahia/jsp/isjahia.jsp
# and use the connection timeout that we specify. If the connection fails,
# the URL generated will be :
#    http://localhost:8080/jahia/Jahia/site/myTestSite
# The localhost:8080 part may be different if this is not what we are using
# when connecting to the administration servlet. If we are connected to the
# administration servlet with :
#    http://127.0.0.1:7070/cms/administration
# then the fallback URL for the "Exit Administration" would be :
#    http://127.0.0.1:7070/cms/Jahia/site/myTestSite
#
# The siteServerNameTestURLExpr can access the following variables :
#  "request" - an HttpServletRequest object
#  "siteServerName" - a String that contains the siteServerName we want to
# test.
# Expressions always start with "${" and end with "}". The expression
# language supported is JEXL. You can find more information about JEXL
# here : http://jakarta.apache.org/commons/jexl/
# Note : you can also change the name/location of the isjahia.jsp file. The
# only thing this resource must do is set a header called "jahia-version" that
# must be present for the siteServerName to be properly identified as a Jahia
# server.
siteServerNameTestURLExpr                              =   ${request.scheme}\://${siteServerName}\:${request.serverPort}${request.contextPath}/jsp/isjahia.jsp
# If you are using ESI caching, we cannot use the default port defined in
# '${request.serverPort}' since this will resolve to Jahia's port instead
# of the ESI server's port (or the load-balancer's port that forwards to a cluster
# of ESI servers). Therefore, the '${request.serverPort}' string will be automatically
# replaced by the first port defined in the esiServerPorts property
# (defined above in "ESI fragment-based Output cache"). So be careful not to change
# the '${request.serverPort}' string if you are using ESI caching.
#
# Instead of using absolute URLs (e.g. http://www.acme.com:8081/jahia/Jahia/site/mySite/pid/2)
# for the "Exit Administration" button, as explained above, you can choose to generate
# relative URLs (e.g. /jahia/Jahia/site/mySite/pid/2) by uncommenting the option below:
# useRelativeSiteURLs                                   = true

# Url used by jahia to make HTTP request to itself.
#localAccessUri                                          = http\://localhost\:8080

# Ip address of the server on the local network
localIp                                                  =   10.8.37.46

# The following parameter allows for configuration of the connection timeout
# when testing with the above URL. Don't set this too high as the connection
# will be attempted everytime an "Exit Administration" button is generated.
# The timeout value is in milliseconds.
siteServerNameTestConnectTimeout                       =   500

# The siteURLPortOverride allows to force the generation of siteURLs to a
# certain port. This will bypass the request.getServerPort() calls, the
# esiPort x-forward-port request headers and everything else. If it is set
# to 0, the port override is inactive, but any other positive value will force the
# generation of the site URL (notably used in the Exit Administration button)
# to use the port specified here. Be careful when setting this might cause
# issues with cookies, or if you plan to access Jahia through multiple
# front-end machines.
siteURLPortOverride                                    =   0

######################################################################
### Cluster settings  ################################################
######################################################################

# Use this setting to activate most of the clustering communicating
cluster.activated                                      =   false

# the serverId MUST be different for each node of the cluster.
cluster.node.serverId                                  =   jahiaServer1

# The processingServer setting specifies whether this instance of Jahia
# will execute long-running operations such as activation jobs, XML imports,
# etc. In the current implementation only one cluster node may be a
# processing server, while all others must have this settings to the
# value "false".
processingServer                                       =   true

# The following settings may be changed in order to avoid conflicts with
# existing multicast IP broadcasts on a network, or to change them to
# address ranges that are properly routed by the network hardware. The
# default values comply with the IANA address space
# (http://www.iana.org/assignments/multicast-addresses).
# Check out the assignement ranges to see if they may conflict with
# something that might be present on your network.

# Here a default configuration for UDP Clustering

cluster.service.multicast.ip_address                   =   231.12.21.130
cluster.service.multicast.port                         =   45000
cluster.idgenerator.multicast.ip_address               =   231.12.21.150
cluster.idgenerator.multicast.port                     =   45020
cluster.esicontentids.multicast.ip_address             =   231.12.21.133
cluster.esicontentids.multicast.port                   =   45021
cluster.hibernate.multicast.ip_address                 =   231.12.21.134
cluster.hibernate.multicast.port                       =   45050

# Here a default configuration for TCP Clustering
# You will have to comment the UDP configuration and uncomment the tcp ones int the
# following files :
#../spring/applicationcontext-dao.xml, ../spring/applicationcontext-hibernate.xml,
# ../spring/applicationcontext-services.xml

## Here your local ip address
cluster.tcp.start.ip_address                           =   192.168.1.1
# Here the numbers of other members in the group
cluster.tcp.num_initial_members                        =   2
# Here the list of other members ip and port, and local port for each of the four channel
cluster.tcp.service.nodes.ip_address                   =   192.168.1.2[7840],192.168.1.3[7840]
cluster.tcp.service.port                               =   7840
cluster.tcp.idgenerator.nodes.ip_address               =   192.168.1.2[7850],192.168.1.3[7850]
cluster.tcp.idgenerator.port                           =   7850
cluster.tcp.esicontentids.nodes.ip_address             =   192.168.1.2[7860],192.168.1.3[7860]
cluster.tcp.esicontentids.port                         =   7860
cluster.tcp.hibernate.nodes.ip_address                 =   192.168.1.2[7870],192.168.1.3[7870]
cluster.tcp.hibernate.port                             =   7870

# For clustered caches, we use batching to avoid sending individual
# messages for each invalidation. Normally the messages are batched
# by transaction, but we can also specify a limit that if reached
# will send the batch anyway, in order to avoid consuming too much
# memory as well as sending huge messages through the network.
clusterCacheMaxBatchSize                               =   100000

######################################################################
### Chat settings ####################################################
######################################################################
# If you have a clustered configuration, you need to set the property
# chatserver.activated to true. In this case, the chatserverIp
# property need to bet set on the (local) ip. This node need to be
# reachable for all chat users. [intranet use ONLY].
chatServer.activated                                    =   false
chatServerIp                                            =   192.168.1.11
# please remove comments if you need to set a different port than the Jahia default port(8080)
# chatServerPort                                        = 8080

######################################################################
### Workflow settings  ###############################################
######################################################################
# The following setting sets the maximum number of
# notification emails to send when a workflow occurs. This
# will limit spamming. Of course this means only a subset of
# the users will actually be notified. As this might be a problem,
# the second setting (workflowNotifyAdminOnMaxNotificationReached)
# specifies whether the Jahia administrator should be notified
# when this limit is reached.
workflowMaxNotificationEmails                           =   20
workflowNotifyAdminOnMaxNotificationReached             =   true
# The following setting configures the template used to build
# workflow notification emails
workflowNotificationTemplate                            =   workflow_mailnotif.groovy
# The following setting configures the template used to build
# the mail sent to the Jahia administrator if the maximum limit
# of mails has been reached and if the maximum reached
# notification setting is activated
workflowMaxNotificationReachedTemplate                  =   workflow_maxnotif.groovy

######################################################################
### Statistics settings ##############################################
######################################################################
# This settings activates or deactivated Jahia's statistics
# feature that allows to generate reports of activity per user, per
# page, etc...
statisticsEnabled                                       =   true

######################################################################
### Bigtext storage ##################################################
######################################################################
# This parameter selects the implementation of the big text storage
# service, which either enables storage in database or in the file
# system.
# Note that you should not change this setting if you already have
# content in your site as it will not automatically transfer content
# between the database and the filesystem.
bigtext.service                                         =   DBJahiaText

######################################################################
### Time-based publishing ############################################
######################################################################
# This setting can be used to de-activate the displaying of the
# time-based publishing actions.
showTimeBasedPublishingIcons                            =   true

######################################################################
### Development Mode #################################################
######################################################################
# This setting can be used to deactivate development mode which flush
# the html cache each time you change the operation mode (live/edit)
developmentMode                                         =   false
######################################################################
### AES settings #####################################################
######################################################################
timebased_display                                       =   false
workflow_display                                        =   true
chat_display                                            =   true
process_display                                         =   true
######################################################################
### Deprecated settings ##############################################
######################################################################
# The following settings are deprecated, and will be removed in a future
# version of Jahia. We recommend you do not modify them, as it will either
# have no effect or will have adverse effects.
locksActivated                                          =   true
jahiaFileUploadMaxSize                                 =   50485760
### End of deprecated settings #######################################

######################################################################
### Wizard-inserted properties  ######################################
######################################################################
# The following settings were inserted into this file by the
# configuration wizard and therefore are not documented.

######################################################################
### custom errorDocument site property  ##############################
######################################################################
# this setting enable specific error document pages for each site.
# if you uncomment this setting, you need to create an errors directory
# with your specific errorDocument jsp pages in the site directory first!
#
#site.error.enabled                                         = true

######################################################################
### Connection Timeout For Prodcution Job ############################
######################################################################
# This setting allows you to specify the timeout for connecting this
# jahia instance to a distant jahia when using production job
# The settings is in milliseconds
connectionTimeoutForProductionJob                           =   60000
